Module | Sequel::SQL::StringMethods
In: | lib/sequel/sql.rb

This module includes the methods that are defined on objects that can be used in a string context in SQL (Symbol, LiteralString, SQL::Function, and SQL::StringExpression).

This defines the like (LIKE) and ilike methods, used for pattern matching. like is case sensitive, ilike is case insensitive.

### Methods

ilike like

### Public Instance methods

ilike(*ces)

Create a BooleanExpression case insensitive pattern match of self with the given patterns. See StringExpression.like.

[Source]

         # File lib/sequel/sql.rb, line 357
    357:       def ilike(*ces)
    358:         StringExpression.like(self, *(ces << {:case_insensitive=>true}))
    359:       end

like(*ces)

Create a BooleanExpression case sensitive pattern match of self with the given patterns. See StringExpression.like.

[Source]

         # File lib/sequel/sql.rb, line 363
    363:       def like(*ces)
    364:         StringExpression.like(self, *ces)
    365:       end

[Validate]